# Class VulkanViewportBoundsRange.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanViewportBoundsRange.Builder

Enclosing class:
  `VulkanViewportBoundsRange`

public static final class VulkanViewportBoundsRange.Builder extends Object
Builds instances of type `VulkanViewportBoundsRange`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanViewportBoundsRange`
  `build()`
  Builds a new `VulkanViewportBoundsRange`.
  `final VulkanViewportBoundsRange.Builder`
  `from(VulkanViewportBoundsRangeType instance)`
  Fill a builder with attribute values from the provided `VulkanViewportBoundsRangeType` instance.
  `final VulkanViewportBoundsRange.Builder`
  `setMaximum(float maximum)`
  Initializes the value for the `maximum` attribute.
  `final VulkanViewportBoundsRange.Builder`
  `setMinimum(float minimum)`
  Initializes the value for the `minimum` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanViewportBoundsRange.Builder from(VulkanViewportBoundsRangeType instance)
    Fill a builder with attribute values from the provided `VulkanViewportBoundsRangeType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimum

    public final VulkanViewportBoundsRange.Builder setMinimum(float minimum)
    Initializes the value for the `minimum` attribute.
    Parameters:
      `minimum` - The value for minimum
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximum

    public final VulkanViewportBoundsRange.Builder setMaximum(float maximum)
    Initializes the value for the `maximum` attribute.
    Parameters:
      `maximum` - The value for maximum
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanViewportBoundsRange build()
    Builds a new `VulkanViewportBoundsRange`.
    Returns:
      An immutable instance of VulkanViewportBoundsRange
    Throws:
      `IllegalStateException` - if any required attributes are missing